gnutls_x509_crt_set_subject_alternative_name(3)

NAME
gnutls_x509_crt_set_subject_alternative_name - This function will set the subject Alternative Name

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_alternative_name(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const char * data_string);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

gnutls_x509_subject_alt_name_t            type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const char * data_string
    The data to be set

DESCRIPTION
This function will set the subject alternative name certificate extension.

Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.